Debian Bug report logs - #581204
python-nipy: FTBFS on hppa due to undefined symbol: __canonicalize_funcptr_for_compare while sphinxing

version graph

Package: python-nipy; Maintainer for python-nipy is NeuroDebian Team <team@neuro.debian.net>; Source for python-nipy is src:nipy.

Reported by: Yaroslav Halchenko <debian@onerussian.com>

Date: Tue, 11 May 2010 15:36:01 UTC

Severity: serious

Found in version nipy/0.1.2+20100505-1

Fixed in version nipy/0.1.2+20100526-1

Done: Yaroslav Halchenko <debian@onerussian.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#581204; Package python-nipy. (Tue, 11 May 2010 15:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
New Bug report received and forwarded. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Tue, 11 May 2010 15:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-nipy: FTBFS on hppa due to undefined symbol: __canonicalize_funcptr_for_compare while sphinxing
Date: Tue, 11 May 2010 11:33:09 -0400
Package: python-nipy
Version: 0.1.2+20100505-1
Severity: important


Full build log:
https://buildd.debian.org/fetch.cgi?pkg=nipy;ver=0.1.2%2B20100505-1;arch=hppa;stamp=1273551985
exposed as
Exception occurred:
  File "/build/buildd-nipy_0.1.2+20100505-1-hppa-aHzLbr/nipy-0.1.2+20100505/doc/sphinxext/inheritance_diagram.py", line 107, in _import_class_or_module
    "Could not import class or module '%s' specified for inheritance diagram" % name)
ValueError: Could not import class or module 'nipy.neurospin.clustering.bgmm' specified for inheritance diagram
The full traceback has been saved in /tmp/sphinx-err-seD5Hu.log, if you want to report the issue to the developers.
Please also report this if it was a user error, so that a better error message can be provided next time.
Either send bugs to the mailing list at <http://groups.google.com/group/sphinx-dev/>,
or report them in the tracker at <http://bitbucket.org/birkenfeld/sphinx/issues/>. Thanks!
make[1]: *** [htmlonly] Error 1
make[1]: Leaving directory `/build/buildd-nipy_0.1.2+20100505-1-hppa-aHzLbr/nipy-0.1.2+20100505/doc'
make: *** [doc-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
───────────────────────────────────────────────────────────────────────────

but the actual reason is:
In [4]: import nipy.neurospin.clustering.bgmm
---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)

/home/yoh/nipy/nipy-0.1.2+20100505/doc/<ipython console> in <module>()

/home/yoh/nipy/nipy-0.1.2+20100505/build/lib.linux-parisc64-2.5/nipy/neurospin/__init__.py in <module>()
     15 from numpy.testing import Tester
     16 
---> 17 import statistical_mapping
     18 from registration import register, transform
     19 

/home/yoh/nipy/nipy-0.1.2+20100505/build/lib.linux-parisc64-2.5/nipy/neurospin/statistical_mapping.py in <module>()
      2 import scipy.stats as sp_stats
      3 
----> 4 from nipy.neurospin.graph.field import Field
      5 from nipy.neurospin.image import apply_affine
      6 from nipy.neurospin.utils import emp_null

/home/yoh/nipy/nipy-0.1.2+20100505/build/lib.linux-parisc64-2.5/nipy/neurospin/graph/__init__.py in <module>()
      2 
      3 from numpy.testing import Tester
      4 
      5 test = Tester().test
      6 bench = Tester().bench

/home/yoh/nipy/nipy-0.1.2+20100505/build/lib.linux-parisc64-2.5/nipy/neurospin/graph/graph.py in <module>()
      2 from _graph import __doc__
      3 import numpy as np
      4 
      5 """
      6 This module implements the main graph classes of fff2

ImportError: /usr/lib/libatlas.so.3gf: undefined symbol: __canonicalize_funcptr_for_compare


whenever 

(sid)yoh@paer:/home/yoh/nipy/nipy-0.1.2+20100505/doc$ objdump -t /lib/libpthread.so.0 | grep __canonicalize_funcptr_for_compare
00018818 l     F .text  00000114              .hidden __canonicalize_funcptr_for_compare


is that the reason? having it '.hidden'?


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (901, 'unstable'), (900, 'testing'), (300, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-nipy depends on:
ii  python                  2.5.4-9          An interactive high-level object-o
ii  python-nifti            0.20100412.1-1   Python interface to the NIfTI I/O 
ii  python-nipy-lib         0.1.2+20100505-1 Analysis of structural and functio
ii  python-numpy            1:1.3.0-3+b1     Numerical Python adds a fast array
ii  python-scipy            0.7.2-1          scientific tools for Python
ii  python-support          1.0.8            automated rebuilding support for P

Versions of packages python-nipy recommends:
ii  mayavi2                       3.3.1-1    A scientific visualization package
ii  python-matplotlib             0.99.1.2-3 Python based plotting system in a 

Versions of packages python-nipy suggests:
ii  python-mvpa                   0.4.4-1    multivariate pattern analysis with

-- no debconf information




Severity set to 'serious' from 'important' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 11 May 2010 17:18:09 GMT) Full text and rfc822 format available.

Added indication that bug 581204 blocks 574770 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 11 May 2010 17:18:10 GMT) Full text and rfc822 format available.

Bug 581204 cloned as bug 581394. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Wed, 12 May 2010 15:57:05 GMT) Full text and rfc822 format available.

Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have taken responsibility. (Wed, 26 May 2010 22:51:05 GMT) Full text and rfc822 format available.

Notification sent to Yaroslav Halchenko <debian@onerussian.com>:
Bug acknowledged by developer. (Wed, 26 May 2010 22:51:05 GMT) Full text and rfc822 format available.

Message #16 received at 581204-close@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 581204-close@bugs.debian.org
Subject: Bug#581204: fixed in nipy 0.1.2+20100526-1
Date: Wed, 26 May 2010 22:48:43 +0000
Source: nipy
Source-Version: 0.1.2+20100526-1

We believe that the bug you reported is fixed in the latest version of
nipy, which is due to be installed in the Debian FTP archive:

nipy_0.1.2+20100526-1.debian.tar.gz
  to main/n/nipy/nipy_0.1.2+20100526-1.debian.tar.gz
nipy_0.1.2+20100526-1.dsc
  to main/n/nipy/nipy_0.1.2+20100526-1.dsc
nipy_0.1.2+20100526.orig.tar.gz
  to main/n/nipy/nipy_0.1.2+20100526.orig.tar.gz
python-nipy-doc_0.1.2+20100526-1_all.deb
  to main/n/nipy/python-nipy-doc_0.1.2+20100526-1_all.deb
python-nipy-lib-dbg_0.1.2+20100526-1_amd64.deb
  to main/n/nipy/python-nipy-lib-dbg_0.1.2+20100526-1_amd64.deb
python-nipy-lib_0.1.2+20100526-1_amd64.deb
  to main/n/nipy/python-nipy-lib_0.1.2+20100526-1_amd64.deb
python-nipy_0.1.2+20100526-1_all.deb
  to main/n/nipy/python-nipy_0.1.2+20100526-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 581204@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yaroslav Halchenko <debian@onerussian.com> (supplier of updated nipy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 May 2010 21:17:20 -0400
Source: nipy
Binary: python-nipy python-nipy-lib python-nipy-lib-dbg python-nipy-doc
Architecture: source amd64 all
Version: 0.1.2+20100526-1
Distribution: unstable
Urgency: low
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Changed-By: Yaroslav Halchenko <debian@onerussian.com>
Description: 
 python-nipy - Analysis of structural and functional neuroimaging data
 python-nipy-doc - documention and examples for NiPy
 python-nipy-lib - Analysis of structural and functional neuroimaging data
 python-nipy-lib-dbg - Analysis of structural and functional neuroimaging data
Closes: 581204 581783
Changes: 
 nipy (0.1.2+20100526-1) unstable; urgency=low
 .
   * Fresh upstream snapshot -- needed a new orig.tar.gz since some
     files were moved/removed
   * Switching to dh from cdbs:
     - Assure no documentation is built during binary-arch builds
       (closes: #581204, #581783)
     - Build for all supported Python versions
     - Expanded Build-Depends with all necessary -dbg packages
       (e.g. cython-dbg, python-all-dbg)
     - Added dvipng into Build-Depends for avoiding problems during
       documentation build
Checksums-Sha1: 
 f8c871cb55133c2dcc87d7c3c01e7afcc262110c 1674 nipy_0.1.2+20100526-1.dsc
 e2543a728bc45a19eec5cb399df6945e64242a41 2456178 nipy_0.1.2+20100526.orig.tar.gz
 f240ad962453d133003ce48b81475c56b275a785 5368 nipy_0.1.2+20100526-1.debian.tar.gz
 9172af86be033dcd99d7b81e5f0f8b392b9ebaaa 1999316 python-nipy-lib_0.1.2+20100526-1_amd64.deb
 21d4a94bf6eb28327cebf312ad90c7add211366b 2127088 python-nipy-lib-dbg_0.1.2+20100526-1_amd64.deb
 ed5eb9816c0d35110b9019df77e6fb2a8312ea6d 1110564 python-nipy_0.1.2+20100526-1_all.deb
 788ba73f12a575031311bef31d1a0e876546b047 2675888 python-nipy-doc_0.1.2+20100526-1_all.deb
Checksums-Sha256: 
 be28f94f55e53808ac24a09255cff0b1e48481bec720c375fb61f81565439d3f 1674 nipy_0.1.2+20100526-1.dsc
 e64dcfd09d92e9672602971d9bcd5f0f2316c13eb4aa3f0573e24c1a57fcd2fd 2456178 nipy_0.1.2+20100526.orig.tar.gz
 15fb87b6716fb16387f6a13487c02ec7dca676e0eccd6a9e13edef59e8cfbfc2 5368 nipy_0.1.2+20100526-1.debian.tar.gz
 58fddd42cebfb5e10b9f7a4e6961164782f3c0b3b56c7b49f628d3743dff992d 1999316 python-nipy-lib_0.1.2+20100526-1_amd64.deb
 3038e58c2ad4df5093996d12d8e0af2df00ae7a4ae86a2872463bc5eed07458d 2127088 python-nipy-lib-dbg_0.1.2+20100526-1_amd64.deb
 579aedb645013731ae0217ce7760bbad023e4f1ff9d606ed80ccca6d15d7762e 1110564 python-nipy_0.1.2+20100526-1_all.deb
 7d5d819913a222d99275436156e2ef133a35501c3452e2dfd8adcfa9b3f7f10e 2675888 python-nipy-doc_0.1.2+20100526-1_all.deb
Files: 
 fbc1bcf337892f395f22eb0119860339 1674 python extra nipy_0.1.2+20100526-1.dsc
 dfabfcff0c0e64dc739be7888b4bd870 2456178 python extra nipy_0.1.2+20100526.orig.tar.gz
 0c3612a6b68da284ac931c579c3342ec 5368 python extra nipy_0.1.2+20100526-1.debian.tar.gz
 ee7b5c0492d00de089bba44919f1bc33 1999316 python extra python-nipy-lib_0.1.2+20100526-1_amd64.deb
 88c63e21a3d8add05e12b99fa5e4b61d 2127088 debug extra python-nipy-lib-dbg_0.1.2+20100526-1_amd64.deb
 59ec49b8664dc613c9bab205da8e6777 1110564 python extra python-nipy_0.1.2+20100526-1_all.deb
 c410d03cc487664b708823f87d8ab5f3 2675888 doc extra python-nipy-doc_0.1.2+20100526-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkv9l2EACgkQjRFFY3XAJMj0pACeP0MEVluJEVHWaKWXl2+Z7s3m
lVIAn1oWUQ9uS6SQoDhKXOJl6Bpvt0K9
=WBLf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Jun 2010 07:30:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:53:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.